Subject: Re: linux-next: Tree for Jan 20 -- Kernel panic - Unable to mount root fs

From: Ross Zwisler <[email-masked]>
Date: Tue, 20 Jan 2015 12:00:21 -0700

On Tue, 2015-01-20 at 15:54 -0200, Fabio Estevam wrote:
> On Tue, Jan 20, 2015 at 3:39 PM, Paul Moore <[email-masked]> wrote:
> 
> > Thanks for testing this and reporting the problem, especially such a small
> > bisection.  Unfortunately nothing is immediately obvious to me, would you mind
> > sharing your kernel config so I can try to reproduce and debug the problem?
> 
> In case it helps, I also get the similar errors on a mx6 which is
> built with arch/arm/configs/imx_v6_v7_defconfig:
> 
> [    1.594196] imx-ipuv3 2800000.ipu: IPUv3H probed
> [    1.601836]  ram0: unknown partition table
> [    1.607247]  ram1: unknown partition table
> [    1.612617]  ram2: unknown partition table
> [    1.618010]  ram3: unknown partition table
> [    1.623359]  ram4: unknown partition table
> [    1.628761]  ram5: unknown partition table
> [    1.634065]  ram6: unknown partition table
> [    1.639436]  ram7: unknown partition table
> [    1.644749]  ram8: unknown partition table
> [    1.650132]  ram9: unknown partition table
> [    1.655447]  ram10: unknown partition table
> [    1.660911]  ram11: unknown partition table
> [    1.666268]  ram12: unknown partition table
> [    1.671778]  ram13: unknown partition table
> [    1.677154]  ram14: unknown partition table
> [    1.682593]  ram15: unknown partition table
> [    1.687165] brd: module loaded
> [    1.705148] loop: module loaded

This is probably related to the issue reported in this thread:

https://lkml.org/lkml/2015/1/16/563

These were just nuisance warnings, I believe, so my guess is that this
isn't related to your kernel panic.   Reverting Boaz's patches to make
these warnings go away would let you know for sure.

- Ross